> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dualship.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current user

> Get the authenticated user's profile information including workspaces and their plans



## OpenAPI

````yaml openapi.json get /api/v1/me
openapi: 3.0.0
info:
  description: Dualship backend API for workflow automation and API management.
  title: Dualship API
  termsOfService: https://dualship.run/terms
  contact:
    name: Dualship Support
    url: https://dualship.run/support
    email: support@dualship.run
  version: '1.0'
servers:
  - url: https://api.dualship.run
security: []
paths:
  /api/v1/me:
    get:
      tags:
        - user
      summary: Get current user
      description: >-
        Get the authenticated user's profile information including workspaces
        and their plans
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.UserResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
      security:
        - BearerAuth: []
components:
  schemas:
    internal_api_handler.UserResponse:
      type: object
      properties:
        avatar_url:
          type: string
        created_at:
          type: string
        email:
          type: string
        first_name:
          type: string
        id:
          type: string
        last_name:
          type: string
        metadata:
          type: object
          additionalProperties: {}
        updated_at:
          type: string
        workspaces:
          type: array
          items:
            $ref: '#/components/schemas/internal_api_handler.UserWorkspace'
    internal_api_handler.UserWorkspace:
      type: object
      properties:
        created_at:
          type: string
        id:
          type: string
        logo_url:
          type: string
        name:
          type: string
        plan:
          $ref: '#/components/schemas/internal_api_handler.WorkspacePlan'
        slug:
          type: string
    internal_api_handler.WorkspacePlan:
      type: object
      properties:
        limits:
          $ref: '#/components/schemas/internal_api_handler.WorkspacePlanLimits'
        name:
          type: string
        slug:
          type: string
    internal_api_handler.WorkspacePlanLimits:
      type: object
      properties:
        additional_seat_price:
          type: integer
        executions_per_month:
          type: integer
        flows:
          type: integer
        included_seats:
          type: integer
        log_retention_days:
          type: integer
        nodes_per_flow:
          type: integer
        workspaces:
          type: integer
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Bearer token authentication

````